Compilation sous texmaker ou texstudio impossible

Besoin d'aide pour installer Asymptote ?
cinefou
Messages : 1
Enregistré le : ven. 30 avr. 2021, 05:08

Compilation sous texmaker ou texstudio impossible

Message non lu par cinefou » ven. 30 avr. 2021, 16:55

Je n'avais aucun problème à faire tourner asymptote en mode inline avec pdf latex sous installation Miktex 2.9 jusqu'en Août 2020.

Mais ayant eu à réinstaller miktex suite à un plantage de DD, j'ai du faire la mise à jour des packages, en particulier d'asymptote; et là patatras, j'ai une erreur systématique que j'ai identifiée comme étant une incompatibilité du module plain_Label.asy semble-t-il avec la version 2.69 de miktex-asy

il me suffit d'enlever tout ce qui est label pour avoir une compilation nickel, mais du coup je suis obligé de passer par une compilation en ligne de commande par une fenêtre "cmd.exe" (Windows 10) pour générer les figures en pdf par asy, avant de faire une compilation de mon fichier tex qui m'inclut correctement les figures provenant de mes fichiers asy correctement générés par la compilation pdf latex sous texmaker.

Ce sujet tourne depuis à peu près la version ci-dessus mentionnée de miktex-asy en farfouillant à droite et à gauche sur les forums anglophones et francophones.

Que faudrait-il faire ? ou plutôt que pouvez-vous nous suggérer pour détruire ce bug ?

D'avance merci, et bonne journée / soirée

PS : 1) Impossible de downgrade mon miktex-asy puisqu'il est mis à jour lors des mises à jour de miktex, en particulier lors d'une réinstallation;
2) Faute de mieux je me suis rabattu sur TIKZ qui fonctionne nickel, mais n'offre pas les mêmes commodités et performances (particulièrement en 3D) qu'asymptote qui a aussi un code au langage assez naturel.
Modifié en dernier par cinefou le ven. 30 avr. 2021, 21:31, modifié 1 fois.

Avatar du membre
GM
Administrateur du site
Administrateur du site
Messages : 1474
Enregistré le : dim. 7 mars 2010, 14:50

Re: Compilation sous miktex ou texstudio impossible

Message non lu par GM » ven. 30 avr. 2021, 19:13

Bonsoir,

une remarque préalable à propos du titre qui me trouble : miktex, c'est une distribution latex et texstudio, c'est un éditeur
dont je ne comprends pas le "ou" dans le titre. Je suppose qu'il aurait dû être "Compilation sous miktex+texstudio impossible"


Pour le problème posé, je peine à comprendre ce problème d'incompatibilité.

Si c'est un plain_Label.asy non reconnu par un exécutable d'asymptote, il faut se demander s'il y a deux versions d'Asymptote d'installées ou s'il y a un fichier qui reste d'une ancienne installation qui serait chargé à la place d'un plus récent, pour un problème de PATH.
Car je peine à croire que c'est la distribution MikTeX qui fournirait deux fichiers (plain_Label.asy et miktex-asy.exe) qui soient incompatibles.

Que donne en ligne de commande ceci

Code : Tout sélectionner

where *asy.exe

Sinon, il est toujours possible d'installer la dernière version d'Asymptote, indépendamment de MiKTeX :
https://sourceforge.net/projects/asymptote/files/
et de shunter la version fournie par MikTeX en veillant à deux choses :
  1. mettre dans le PATH de Windows le chemin vers C:\Program Files\Asymptote de manière à ce qu'il soit prioritaire sur le chemin d'installation de MiKTeX ;
  2. vérifier que dans la config de l'éditeur utilisé (texstudio ou autre) que le nom de l'exe soit asy.exe et non miktex-asy.exe.

NB : pour les futures demandes, il serait souhaitable d'avoir un ECM (exemple complet minimal) qui crée le problème et aussi la formulation exacte du message d'erreur.
Index des fonctions - Exemple de lien donnant le résultat d'une recherche sur les mots 'arc' et 'triple' : http://asy.marris.fr/indexasy/?filtre=arc triple
Mes configurations (le 24/02/21) :
PC n°1 :Windows 10 - Asymptote(2.69)+MikTeX2.9 - Editeurs : Notepad++, TeXworks, Visual Studio Code.
Mes autres PC : Ubuntu 18.04LTS - Asymptote(2.66-?? git) + TexLive2018
Mon serveur : Debian Jessie - Asymptote(2.66-? git) + TexLive2018
Merci de préciser la votre !

Répondre